Bug 25037

Summary: [Qt] Implement layoutTestController.waitForPolicyDelegate
Product: WebKit Reporter: Adam Roben (:aroben) <aroben>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, laszlo.gombos, tonikitoo
Priority: P2 Keywords: LayoutTestFailure, PlatformOnly, Qt
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
[Qt] Implement layoutTestController.waitForPolicyDelegate.
none
Remove the passing tests from the Skipped list. none

Description Adam Roben (:aroben) 2009-04-03 14:12:50 PDT
r42056 added layoutTestController.waitForPolicyDelegate, and r42057 made a number of tests depend on it. This functionality needs to be implemented in the Qt port in order to run these tests. I've added these tests to LayoutTests/platform/qt/Skipped.
Comment 1 Jakub Wieczorek 2009-09-26 12:06:24 PDT
Created attachment 40177 [details]
[Qt] Implement layoutTestController.waitForPolicyDelegate.
Comment 2 Jakub Wieczorek 2009-09-26 14:09:41 PDT
Created attachment 40180 [details]
Remove the passing tests from the Skipped list.
Comment 3 Simon Hausmann 2009-09-27 11:48:42 PDT
Comment on attachment 40177 [details]
[Qt] Implement layoutTestController.waitForPolicyDelegate.

r=me. Thank you Jakub!
Comment 4 Simon Hausmann 2009-09-27 11:49:02 PDT
Comment on attachment 40180 [details]
Remove the passing tests from the Skipped list.

r=me
Comment 5 WebKit Commit Bot 2009-09-27 12:05:53 PDT
Comment on attachment 40177 [details]
[Qt] Implement layoutTestController.waitForPolicyDelegate.

Clearing flags on attachment: 40177

Committed r48801: <http://trac.webkit.org/changeset/48801>
Comment 6 WebKit Commit Bot 2009-09-27 12:12:54 PDT
Comment on attachment 40180 [details]
Remove the passing tests from the Skipped list.

Clearing flags on attachment: 40180

Committed r48802: <http://trac.webkit.org/changeset/48802>
Comment 7 WebKit Commit Bot 2009-09-27 12:12:58 PDT
All reviewed patches have been landed.  Closing bug.